<template>
	<div class="flex mb-6 px-2 md:px-4">
		<div v-for="(step, index) in totalStep" :key="index" class="items-center justify-center relative flex w-full">
			<div
				class="float-left w-3 md:w-4 h-3 md:h-4 rounded-full border"
				:class="processStep >= step ? ' bg-secondary border-secondary' : 'bg-white border-grey-20'"
			></div>
			<div class="float-left w-11/12" :class="processStep >= step ? 'bg-secondary h-0.5' : 'bg-grey-20 h-px'"></div>
			<div
				v-if="totalStep == step"
				class="float-left w-3 md:w-4 h-3 md:h-4 rounded-full border"
				:class="totalStep == processStep ? ' bg-secondary border-secondary' : 'bg-white border-grey-20'"
			></div>
		</div>
	</div>
</template>
<script>
export default {
	name: 'MkStepsSuccess',
	components: {},
	props: {
		processStep: {
			type: Number,
			default: 1,
		},
		totalStep: {
			type: Number,
			default: 1,
		},
	},
	data() {
		return {};
	},
	methods: {},
};
</script>
